Support » Plugin: Google Analyticator » [Plugin: Google Analyticator] Google PHP API Client requires the CURL PHP extension

  • Resolved outger

    (@outger)


    Hi Google Analyticator Crew,

    First of all, big thanks for this great plugin!

    Today I updated the plugin to the latest version of Google Analyticator and it returned this error:

    Google PHP API Client requires the CURL PHP extension

    The WordPress installation is running on a local Appache server (Xampp) maybe that has something to do with it?

    I hope you can help me out.

    ~Outger~

    http://wordpress.org/extend/plugins/google-analyticator/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Wel, I have been looking everywhere for a solution for the problem. Since Xampp doesn’t automaticly activates CURL -and Google Analyticator uses it- you have to do it yourself.

    First

    Open the files below with Notepad and find this line:

    ;extension=php_curl.dll

    Remove the “;” so you’ll get “extension=php_curl.dll”

    C:\xampp\php\php.ini (development)
    C:\xampp\php\php.ini (production)
    C:\xampp\php\php.ini (configuration)

    Save the files.

    Second

    I got this part from Php.net Kudo’s for that!

    Go to the PHP directory (in Xampp) and copy the following libraries to the windows/system32 dir.

    C:Xampp/php/ssleay32.dll
    C:Xampp/php/libeay32.dll
    C:Xampp/php/ext/php_curl.dll

    Third

    Reboot your computer and it should work!

    ~Outger~

    Resolved

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Plugin: Google Analyticator] Google PHP API Client requires the CURL PHP extension’ is closed to new replies.